EDIT - feature request #9154

Further reduce TaxEditor size by cleaning up dependencies and making taxeditor.webapp plugin
optional

07/15/2020 03:43 PM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 10%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

this is a follow up ticket for #5752

remove and upgrade dependencies (mostly from taxeditor.cdmlib) (#9204)

make taxeditor.webapp a loadable plugin not installed by default (#9190)

move datasource view to taxeditor.webapp (#9189)

move local datasource access fully to taxeditor.local (#9341)

further clean up all poms and Manifest.MFs (see also #5530) etc.

cleanup code and files which are not needed anymore

e maybe from #967: Split the cdmlib plugin into two plugins: One for cdmlib dependencies and one for taxeditor-only
dependencies

Related issues:

Related to EDIT - task #9189: Move datasource view to taxeditor.local Closed
Related to EDIT - feature request #9204: Update cdmlib and taxeditor dependen... Closed
Related to EDIT - feature request #9190: Make taxeditor.local a loadable plug... In Progress
Related to EDIT - feature request #9341: Move local datasource access fully t... New
Related to EDIT - task #10055: Updates, upgrades and cleanup 2023 New
Copied from EDIT - feature request #5752: Reduce TaxEditor size Closed
Copied from EDIT - task #9359: Update cdmlib, taxeditor, cdmserver etc. depen... Closed

Associated revisions

Revision cee85ae0 - 11/05/2020 02:58 PM - Katja Luther
ref #9154: fix fragment.e4xmi

Revision 70ed1e1f - 12/01/2020 04:10 PM - Andreas Miiller

ref #9204, ref #9154 add cdmlib-remote-webapp.war to gitignore (not yet there because of renaming webapp->local

Revision 60942e5d - 12/01/2020 04:11 PM - Andreas Miiller

ref #9204, ref #9154 remove jtds and mssql from git in taxeditor.local

Revision 7bc7988e - 12/17/2020 03:40 PM - Andreas Miiller

remove cdmlib-remote-webapp.war from git

History

#1 - 07/15/2020 03:48 PM - Andreas Miiller

- Subject changed from Further cleanup TaxEditor dependencies and make taxeditor.webapp plugin optional to Further reduce TaxEditor size by
cleaning up dependencies and making taxeditor.webapp plugin optional

- Description updated

Issue from #5752: Datasource view could be moved to taxeditor.webapp as it is only relevant together with it. (together with DB drivers as they are
only needed for testing the datasources (#5752#note-29)

#2 - 07/15/2020 04:13 PM - Andreas Miiller
- Copied from feature request #5752: Reduce TaxEditor size added
#3 - 07/15/2020 04:14 PM - Andreas Miller
AM:

wurde eingentlich mal diskutiert, ob man taxeditor.webapp nicht automatisch mit anbietet sondern als nachladbares plugin? Eigentlich braucht das ja
kaum jemand da es nur fir localhost- und direkten DB-Zugriff-Lésungen notwendig ist.
Man kénnte also eine deutlich abgespeckterer Version anbieten, die dann gleich >100MB kleiner ist.

Alternativ die Frage, wenn wir das nicht so machen, gébe es dann nicht wenigstens die Méglichkeit, dass der taxeditor grundsétzlich auf die cdmlib
Dateien in webapp zugreifen kénnte? Derzeit ist ja die absurde Situation, dass die exakt gleichen Dateien alle einmal tber die webapp.war als auch
Uber taxeditor.cdmlib im TaxEditor vorhanden sind. Allerdings sind sie eben in webapp.war gekappselt. Ich weif3 nicht, ob es auch mdglich ist webapp
auszufiihren, wenn das nicht in einer .war gekappselt ist und somit evtl. auch fir andere zugénglich ware.

AK:

Daran gedacht hatte ich auch schon mal. Ich denke auch dass dies die bessere Variante ist gegenlber der Méglichkeiten jars zwischen zwei Plugins
bei Bedarf hin und her zu kopieren.

Das kénnte ja auch so gestaltet sein, dass der Editor dann, wenn der managed Server tatsdchlich gebraucht wird, dieses Plugin automatisch nachladt
und vorher dies natirlich per Dialog ankindigt.

KL:

Denke auch, dass ein nachladbares plugin die beste Lésung ist.

#4 - 08/13/2020 04:29 PM - Andreas Miuller

- Related to task #9189: Move datasource view to taxeditor.local added

#5 - 08/13/2020 04:50 PM - Andreas Miuller

- Description updated

#6 - 08/19/2020 08:46 PM - Andreas Miuller

- Target version changed from Release 5.19 to Release 5.18

#7 - 08/24/2020 12:32 PM - Andreas Miiller
- Related to feature request #9204: Update cdmlib and taxeditor dependencies added

#8 - 08/24/2020 12:33 PM - Andreas Miiller

- Description updated

#9 - 12/02/2020 01:37 PM - Andreas Miiller
- Related to feature request #9190: Make taxeditor.local a loadable plugin not installed by default added

#10 - 12/03/2020 05:24 PM - Andreas Miiller

- Related to feature request #9341: Move local datasource access fully to taxeditor.local added

#11 - 12/03/2020 05:24 PM - Andreas Miiller
- Description updated

- % Done changed from 0 to 10

#12 - 12/03/2020 05:25 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.19

#13 - 12/18/2020 11:20 PM - Andreas Miiller
- Copied from task #9359: Update cdmlib, taxeditor, cdmserver etc. dependencies added

#14 - 01/27/2021 04:44 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#15 - 03/10/2021 02:48 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

04/10/2024 2/3



#16 - 04/19/2021 05:05 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46

#17 - 12/27/2022 03:44 PM - Andreas Miiller
- Related to task #10055: Updates, upgrades and cleanup 2023 added
